import os

import axipy
from axipy import Plugin, view_manager, Position, Version

from ExportLegend.ui.DlgExportLegend import ExportLegend
from ExportLegend.ui.utils.observer_tools.observer import factoryObserverLegendView


class ExportLegendToRaster(Plugin):
    __name = 'Экспорт легенды в растр'

    __name_observer = 'ExistLegendView'
    def __init__(self):
        self.__dlg=None
        self.__observer =factoryObserverLegendView(self.__name_observer)
        local_file_icon = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'ui/icons', 'saveas.png')
        self.__action = self.create_action(self.__name, icon=local_file_icon,
                                           on_click=self.__run_tools, enable_on=self.__name_observer)
        segments_version=Version.segments()
        version_axioma=segments_version[0]+segments_version[1]*0.1
        #if version_axioma>5.2:
        position =  Position('Карта', 'Экспорт')
        #else:
        #    position =self.get_position('Карта', 'Экспорт')
        position.add(self.__action, size=2)
    def __run_tools(self):
        if self.__dlg is None:
            self.__dlg=ExportLegend(axipy.mainwindow.qt_object())
        self.__dlg.show(view_manager.active)

    def unload(self) -> None:
        self.__action .remove()